import 'package:freezed_annotation/freezed_annotation.dart';

import 'fcm_result.dart';

part 'fcm_model.freezed.dart';
part 'fcm_model.g.dart';

@freezed
class FcmModel with _$FcmModel {
  factory FcmModel({
    @JsonKey(name: 'multicast_id') int? multicastId,
    int? success,
    int? failure,
    @JsonKey(name: 'canonical_ids') int? canonicalIds,
    List<FCMResult>? results,
  }) = _FcmModel;

  factory FcmModel.fromJson(Map<String, dynamic> json) =>
      _$FcmModelFromJson(json);
}
