import 'package:bloc/bloc.dart';
import 'package:chat_call_core/shared/base/base_event.dart';
import 'package:chat_call_core/shared/base/base_state.dart';
import '../../core/data/service/account_repository.dart';
import 'package:injectable/injectable.dart';
import 'app_event.dart';
import 'app_state.dart';

@injectable
class AppBloc extends Bloc<BaseEvent, BaseState> {
  final AccountRepository accountRepository;

  AppBloc(this.accountRepository) : super(initAppState()) {
    on<Init>(_init);
  }

  _init(event, emit) {}
}
