import 'package:freezed_annotation/freezed_annotation.dart';

part 'fcm_result.freezed.dart';
part 'fcm_result.g.dart';

@freezed
class FCMResult with _$FCMResult {
  factory FCMResult({
    @JsonKey(name: 'message_id') String? messageId,
  }) = _FCMResult;

  factory FCMResult.fromJson(Map<String, dynamic> json) =>
      _$FCMResultFromJson(json);
}
